curl -X DELETE https://api.okrapdf.com/v1/collections/col-40da068481cf4f248853507cba6be611/documents \
-H "Authorization: Bearer okra_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"document_ids": ["doc-abc123"]}'
Collections
Remove Documents from Collection
Remove one or more documents from a collection.
DELETE
/
v1
/
collections
/
{id}
/
documents
curl -X DELETE https://api.okrapdf.com/v1/collections/col-40da068481cf4f248853507cba6be611/documents \
-H "Authorization: Bearer okra_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"document_ids": ["doc-abc123"]}'
Overview
Removes documents from a collection. The documents themselves are not deleted from your account.Request
string
required
Collection ID (
col-...) or collection name.string[]
required
Array of document IDs to remove. Must contain at least one ID.
curl -X DELETE https://api.okrapdf.com/v1/collections/col-40da068481cf4f248853507cba6be611/documents \
-H "Authorization: Bearer okra_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"document_ids": ["doc-abc123"]}'
Response (200)
{
"ok": true,
"removed": 1
}